#!/bin/bash

# 此处引入对特定主板的判断
checkIfQSBoard()
{
    pushd /sys/class/hwmon > /dev/null 2>&1
    for subdir in `ls`;do
        if [ -d ${subdir} ];then
            file=${subdir}"/name"
            if [ -f ${file} ] && [ x`cat ${file}` == x"huawei_qs" ];then
                popd > /dev/null 2>&1
                return 0
            fi
        fi
    done
    popd > /dev/null 2>&1
    return 1
}

lsmod | grep -w qsboard > /dev/null 2>&1
if [ $? -ne 0 ];then
    modprobe qsboard > /dev/null 2>&1
    if [ $? -ne 0 ];then
        exit $?
    fi
fi

checkIfQSBoard
if [ $? -ne 0 ];then
    # 非青松主板，无需加载SMC驱动，正常返回
    exit 0
fi

lsmod | grep -w smc_dri > /dev/null 2>&1
if [ $? -ne 0 ];then
    modprobe smc_dri > /dev/null 2>&1
fi
exit $?